#!/bin/sh

SOURCE_DIR=$(realpath $(dirname "${0}"))/solr

# Build Docker container
docker build -t solr ${SOURCE_DIR}

# Configure Solr
mkdir -p /srv/solr/data
cp ${SOURCE_DIR}/srv/solr/data/solr.xml /srv/solr/data/solr.xml
cp ${SOURCE_DIR}/srv/solr/data/.solr.in.sh /srv/solr/data/.solr.in.sh
chown -R 8983:8983 /srv/solr/data

# Configure Solr service
cp ${SOURCE_DIR}/etc/init.d/solr /etc/init.d/solr
rc-update add solr
service solr start
